function compress_video --argument-names srcfile
	if test -z "$srcfile"
		echo "Error: missing argument"
		return 1
	end
	if not test -f "$srcfile"
		echo "Error: not a regular file: $srcfile"
		return 2
	end
	if not command --search --quiet HandBrakeCLI
		echo "Error: HandBrakeCLI is required"
		return 3
	end

	set --local dstdir  (dirname $srcfile)/Compressed
	set --local dstfile (dirname $srcfile)/Compressed/(basename $srcfile)
	set --local preset  'Vimeo YouTube HQ 720p60'

	mkdir -p $dstdir

	HandBrakeCLI --preset $preset --input $srcfile --output $dstfile
end
